{% extends 'base.html' %}
{% load static %}
{% block title %}<title>Expense Categories</title>{% endblock title %}

{% block content %}
    <main>
        <h1>My Expenses</h1>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of receipts</th>
                </tr>
            </thead>
            <tbody>
                {% for expense in expense_categories %}
                <tr>
                    <td>{{expense.name}}</td>
                    <td>{{expense.owner.receipts.all|length}}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
{% endblock content %}
